Get enrichment job status
GET /api/v1/enrich-csv/jobs/{id}
GET
/api/v1/enrich-csv/jobs/{id}
Cost: Free
status (queued|running|completed|failed), completed_rows, progress_pct, ETA range (eta_low_seconds/eta_high_seconds), credits_charged, credits_refunded, field_report, download_url when completed. Poll to completion: refunds settle on poll.
Try it
curl https://app.leadsonar.io/api/v1/enrich-csv/jobs/540894a7-8fb6-44b6-91ba-d0a56a8f5c11 \
-H "X-API-Key: $LS_KEY"Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”OK
object
Example
{ "id": "540894a7-8fb6-44b6-91ba-d0a56a8f5c11", "status": "queued", "original_filename": "ls-capture.csv", "total_rows": 2, "completed_rows": 0, "progress_pct": 0, "fields": ["icp_grading", "icp"], "user_tag": null, "credits_charged": 4, "credits_refunded": 0, "elapsed_seconds": null, "rate_per_second": null, "eta_seconds": null, "eta_low_seconds": null, "eta_high_seconds": null, "stage": "queued", "stage_done": 0, "stage_total": 0, "field_report": null, "error": null, "created_at": "2026-10-06T10:30:37.328Z", "download_url": null}Malformed id (BAD_ID)
Missing or invalid API key
No such job on your account